import { z } from 'zod'; export declare const riotClientConfigEndpoint: { readonly name: "Riot Client Config"; readonly description: "Gets the config file used by the Riot Client. This includes a ton of info, most of it undocumented."; readonly category: "Authentication Endpoints"; readonly type: "other"; readonly suffix: "https://clientconfig.rpg.riotgames.com/api/v1/config/player?app=Riot%20Client"; readonly riotRequirements: { readonly token: true; readonly entitlement: true; }; readonly responses: { readonly '200': z.ZodIntersection; 'chat.affinity_domains': z.ZodRecord; 'chat.port': z.ZodNumber; }, "strip", z.ZodTypeAny, { 'chat.affinities': Record; 'chat.affinity_domains': Record; 'chat.port': number; }, { 'chat.affinities': Record; 'chat.affinity_domains': Record; 'chat.port': number; }>, z.ZodRecord>; }; }; export type RiotClientConfigResponse = z.input;